[rspec-users] autospec cannont find gems

Rube Noob lists at ruby-forum.com
Wed Oct 7 23:09:23 EDT 2009


I am trying to install rspec for rails and have the following gems
install

C:\INSTAN~3.0-W\rails_apps\katai>gem list --local

*** LOCAL GEMS ***

actionmailer (2.3.4, 2.0.2)
actionpack (2.3.4, 2.0.2)
activerecord (2.3.4, 2.0.2)
activeresource (2.3.4, 2.0.2)
activesupport (2.3.4, 2.0.2)
authlogic (2.1.2)
autotest-rails (4.1.0)
builder (2.1.2)
capistrano (2.5.9, 2.1.0)
cgi_multipart_eof_fix (2.5.0)
cmdparse (2.0.2)
columnize (0.3.1)
fastercsv (1.5.0)
fxri (0.3.7, 0.3.6)
fxruby (1.6.19, 1.6.12)
gem_plugin (0.2.3)
highline (1.5.1, 1.4.0)
hpricot (0.8.1, 0.6)
linecache (0.43)
log4r (1.1.2, 1.0.5)
mocha (0.9.8)
mongrel (1.1.5, 1.1.2)
mysql (2.8.1, 2.7.3)
needle (1.3.0)
net-scp (1.0.2)
net-sftp (2.0.2, 1.1.0)
net-ssh (2.0.15, 1.1.2)
net-ssh-gateway (1.0.1)
nifty-generators (0.3.0)
rack (1.0.0)
rails (2.3.4, 2.0.2)
rake (0.8.7, 0.8.1, 0.8.0, 0.7.3)
rspec (1.2.9)
rspec-rails (1.2.9)
ruby-debug (0.10.3)
ruby-debug-base (0.10.3)
rubygems-update (1.3.5, 1.0.1)
sources (0.0.1)
sqlite3-ruby (1.2.5, 1.2.1)
test-unit (2.0.3)
win32-api (1.4.5, 1.0.4)
win32-clipboard (0.5.2, 0.4.3)
win32-dir (0.3.5, 0.3.2)
win32-eventlog (0.5.2, 0.4.6)
win32-file (0.6.3, 0.5.4)
win32-file-stat (1.3.4, 1.2.7)
win32-process (0.6.1, 0.5.3)
win32-sapi (0.1.5, 0.1.4)
win32-sound (0.4.2, 0.4.1)
win32console (1.2.0)
windows-api (0.3.1, 0.2.0)
windows-pr (1.0.8, 0.7.2)
ZenTest (4.1.4)


When attempting to run autospec, I get the follwing errors about not
being able to find installed gems

C:\INSTAN~3.0-W\rails_apps\katai>autospec -rails
loading autotest/rails_rspec
C:\INSTAN~3.0-W\ruby\bin\ruby
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/bin/spec
--autospec spec/models/user_spec.rb -O spec/spec.opts
no such file to load -- rspec
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
C:/INSTAN~3.0-W/rails_apps/katai/vendor/rails/activesupport/lib/active_support/dependencies.rb:158:in
`require'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:208:in
`load'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:307:in
`load_gems'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:307:in
`each'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:307:in
`load_gems'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:169:in
`process'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:113:in
`send'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:113:in
`run'
C:/INSTAN~3.0-W/rails_apps/katai/config/environment.rb:9
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
C:/INSTAN~3.0-W/rails_apps/katai/spec/spec_helper.rb:4
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
./spec/models/user_spec.rb:1
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:15:in
`load'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:15:in
`load_files'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:14:in
`each'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:14:in
`load_files'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/options.rb:132:in
`run_examples'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/command_line.rb:9:in
`run'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/bin/spec:5
no such file to load -- rspec-rails
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
C:/INSTAN~3.0-W/rails_apps/katai/vendor/rails/activesupport/lib/active_support/dependencies.rb:158:in
`require'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:208:in
`load'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:307:in
`load_gems'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:307:in
`each'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:307:in
`load_gems'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:169:in
`process'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:113:in
`send'
C:/INSTAN~3.0-W/rails_apps/katai/config/../vendor/rails/railties/lib/initializer.rb:113:in
`run'
C:/INSTAN~3.0-W/rails_apps/katai/config/environment.rb:9
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
C:/INSTAN~3.0-W/rails_apps/katai/spec/spec_helper.rb:4
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
C:/INSTAN~3.0-W/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
./spec/models/user_spec.rb:1
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:15:in
`load'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:15:in
`load_files'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:14:in
`each'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/example_group_runner.rb:14:in
`load_files'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/options.rb:132:in
`run_examples'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/lib/spec/runner/command_line.rb:9:in
`run'
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8/gems/rspec-1.2.9/bin/spec:5
Missing these required gems:
  rspec-rails

You're running:
  ruby 1.8.6.111 at C:/INSTAN~3.0-W/ruby/bin/ruby.exe
  rubygems 1.3.5 at ./.gem/ruby/1.8,
C:/INSTAN~3.0-W/ruby/lib/ruby/gems/1.8

Run `rake gems:install` to install the missing gems.

________________________________

Does anyone know why this might be happening?

Thanks!
-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list